package com.sf.day05;

import java.util.Scanner;

/**
 * 从键盘读入学生成绩，找出最高分，并输出学生成绩等级。
 *
 * - 成绩>=最高分-10   等级为’A’
 *
 * - 成绩>=最高分-20  等级为’B’
 *
 * - 成绩>=最高分-30  等级为’C’
 *
 * - 其余            等级为’D’
 *
 * 提示：先读入学生人数，根据人数创建int数组，存放学生成绩。
 */
public class Test02 {
    public static void main(String[] args) {
        System.out.println("请输入学生数");
        Scanner scanner = new Scanner(System.in);
        int studentCount = scanner.nextInt();
        int[] arr = new int[studentCount];
        int max = 0;
        System.out.println("请输入+"+studentCount+"+个学生的成绩");
        for (int i = 0;i < arr.length;i++){
            arr[i] = scanner.nextInt();
            if(max<arr[i]){
                max = arr[i];
            }
        }
        System.out.println("最高分数"+max);

        String level;
        for (int j = 0;j< arr.length;j++){
            if(arr[j] >=max - 10 && arr[j]<=max ){
                level = "A";
            }else if (arr[j] >=max - 20 && arr[j]<max-10){
                level = "B";
            } else if (arr[j] >=max - 30 && arr[j]<max-20) {
                level = "C";
            }else {
                level = "D";
            }
            System.out.println("学生"+j+"    的分数是"+arr[j]+"    所对应的等级是"+level);

        }
    }
}
